Accessibility Options overview

You can adjust the appearance and behavior of Windows to enhance accessibility for some vision-impaired, hearing-impaired, or mobility-impaired users without requiring additional software or hardware.

Windows includes the following programs to enhance accessibility:

  • Magnifier enlarges a portion of the screen for easier viewing.
  • Narrator uses text-to-speech technology to read the contents of the screen aloud. This is useful for people who are blind or are vision impaired.
  • On-Screen Keyboard provides users with limited mobility the ability to type on-screen using a pointing device.
  • Utility Manager enables users to check an Accessibility program's status and start or stop an Accessibility program. Users with administrator-level access can designate to have the program start when Utility Manager starts. Users can also start Accessibility programs before logging on to the computer on by pressing the Windows logo key ( Windows logo key) + U at the Welcome logon screen.

Using the accessibility tools available in Accessibility Options in Control Panel, you can easily set your keyboard, display, and mouse functions. XOX

You can use the Accessibility Wizard to help you set up the options and programs for your individual needs. XOX

A wide variety of hardware and software products are available to make personal computers easier to use for people with disabilities. Among the different types of products available for MS-DOS and the Microsoft Windows operating systems are:

  • Programs that enlarge or alter the color of information on the screen for people with visual impairments.
  • Programs that describe information on the screen in Braille or synthesized speech for people who are blind or have difficulty reading.
  • Hardware and software utilities that modify the behavior of the mouse and keyboard.
  • Programs that enable the user to type using a mouse or his or her voice.
  • Word or phrase prediction software, which allows users to type more quickly and with fewer keystrokes.
  • Alternate input devices, such as single switch or puff and sip devices, for people who cannot use a mouse or a keyboard.

XOX

Related Topics


Common tasks: Accessibility Options

Microsoft Windows graphic

Common tasks

The following accessibility tools are frequently used when configuring accessibility options. Click the Index or Search tab to search for a specific word or phrase.

Turn on High Contrast

High Contrast improves screen contrast with alternative colors and font sizes.

Step-by-step procedure

Turn on StickyKeys

StickyKeys enables simultaneous keystrokes while pressing one key at a time.

Step-by-step procedure

Turn on FilterKeys

FilterKeys adjusts the response of your keyboard.

Step-by-step procedure

Turn on ToggleKeys

ToggleKeys emits sounds when locking keys such as CAPS LOCK, SCROLL LOCK, and NUM LOCK are pressed.

Step-by-step procedure

Turn on SoundSentry

SoundSentry provides visual warnings for system sounds.

Step-by-step procedure

Turn on ShowSounds

ShowSounds instructs programs to display captions for program speech and sounds.

Step-by-step procedure

Turn on MouseKeys

MouseKeys enables the keyboard to perform mouse functions.

Step-by-step procedure

Turn on SerialKeys

SerialKeys allows the use of alternative input devices instead of a keyboard and mouse.

Step-by-step procedure

Accessibility Options in Control Panel can be used with other accessibility programs included with Windows.

XOX For information about accessibility products and aids for Windows operating systems, see the accessibility page (go to http://www.microsoft.com/ and search for "accessibility") on the Microsoft Web site.

Additional resources:

Utilities to enhance accessibility

A wide variety of hardware and software products are available to make personal computers easier to use for people with disabilities.

Additional information

Microsoft documentation in alternative formats

Many documents are also available as online Help, online guides for users, or on a CD that comes with the package.

Additional information

Microsoft products and services

Information on Microsoft products and services for people with disabilities.

Additional information


Configuring Windows for people who are deaf or hard-of-hearing

People who are deaf or hard-of-hearing can configure Windows to use visual cues in place of sounds, or increase the volume level of program and system sounds.

SoundSentry

SoundSentry displays a visual warning, such as a blinking program window, when your computer's built-in speaker makes a sound.

Step-by-step procedure

ShowSounds

ShowSounds instructs programs to provide visual cues, such as informative icons or text, for events that are normally only indicated by a sound.

Step-by-step procedure

Sound Schemes

Use Sound Schemes to assign custom sounds to events. People who have difficulty hearing sounds within a certain frequency range can use Sound Schemes to adjust system and program sounds to make them more audible.

Step-by-step procedure

XOX For information about accessibility products and aids for Windows operating systems, see the accessibility page (go to http://www.microsoft.com/ and search for "accessibility") on the Microsoft Web site.


Configuring Windows for people who have a mobility impairment

People who have motion-related disabilities can use Windows to configure their computer system to provide a more comfortable computing environment and help minimize the impact of mobility impairments on their work.

Keyboard, part of the Printers and Other Hardware category in Control Panel, provides keyboard layouts for users of alternative keyboards. This is especially useful for those who type with one hand.

Mouse, part of the Printers and Other Hardware category in Control Panel, configures the mouse for right-handed or left-handed users; adjusts double-click speed, pointer speed, and acceleration; and causes the mouse pointer to go directly to default buttons in dialog boxes.

FilterKeys

Using FilterKeys, located in Accessibility Options in Control Panel, you can tell Windows to ignore brief or repeated keystrokes.

Step-by-step procedure

MouseKeys

Using MouseKeys, located in Accessibility Options in Control Panel, you can control the pointer with the numeric keypad on your keyboard.

Step-by-step procedure

On-Screen Keyboard

On-Screen Keyboard users can type using a pointing device.

Additional information

SerialKeys

SerialKeys, located in Accessibility Options in Control Panel, provides alternative access to keyboard and mouse features.

Step-by-step procedure

StickyKeys

StickyKeys, located in Accessibility Options in Control Panel, enables you to press the SHIFT, CTRL, ALT, or Windows logo key key, and have it remain active until another key is pressed.

Step-by-step procedure

XOX For information about accessibility products and aids for Windows operating systems, see the accessibility page (go to http://www.microsoft.com/ and search for "accessibility") on the Microsoft Web site.


Configuring Windows for people who are blind or have impaired vision

Using Display in Control Panel, people who have impaired vision or are blind can select larger fonts and icons, increase the size of screen elements by using a lower screen resolution, or change the size of windows and window borders. Using Mouse in Control Panel, you can adjust mouse properties to display larger or more visible mouse pointers and control the speed and animation of the mouse pointer.

When using Windows-based programs, you can change font sizes and colors, background color, and window size. In some programs, you can magnify the elements that are displayed in the program's window.

Using the Properties or Default dialog boxes in MS-DOS programs, you can change font types, sizes, and colors, background color, and the size of the cursor and program window.

The following tools are available with Windows. XOX

High Contrast

Using High Contrast, you can specify that Windows uses colors and fonts that are designed for easy reading.

Step-by-step procedure

Magnifier

Using Magnifier, you can magnify a portion of your screen to make it more easily readable.

Additional information

Narrator

Narrator is a text-to-speech program that reads aloud the text that is displayed on your screen.

Additional information

ToggleKeys

ToggleKeys causes tones to sound when you press CAPS LOCK, NUM LOCK, and SCROLL LOCK.

Step-by-step procedure

XOX


Control Panel accessibility options

Use Accessibility Options in Control Panel to customize the way your keyboard, display, or mouse functions. Many of these features are useful to people without disabilities.

The accessibility tools available in Accessibility Options in Control Panel perform various functions.

  • StickyKeys enables simultaneous keystrokes while pressing one key at a time.
  • FilterKeys adjusts the response of your keyboard.
  • ToggleKeys emits sounds when certain locking keys are pressed.
  • SoundSentry provides visual warnings for system sounds.
  • ShowSounds instructs programs to display captions for program speech and sounds.
  • High Contrast improves screen contrast with alternative colors and font sizes.
  • MouseKeys enables the keyboard to perform mouse functions.
  • SerialKeys allows the use of alternative input devices instead of a keyboard and mouse.

Notes

  • XOX
  • For information on other accessibility options, click Related Topics.


Change FilterKeys options

To change FilterKeys options

FilterKeys is a keyboard feature that instructs the keyboard to ignore brief or repeated keystrokes. Using FilterKeys, you can also slow the rate at which a key repeats when you hold it down.

  1. XOX
  2. On the Keyboard tab, under FilterKeys, click Settings, and then do one of the following:
    • To use the shortcut that allows you to turn StickyKeys on or off by by holding down the right SHIFT key for eight or more seconds, select the Use shortcut check box.
    • To ignore a keystroke that is repeated too quickly, select Ignore repeated keystrokes.

      • To set further options, such as specifying the amount of time that must pass between repeated keystrokes in order for a keystroke to be recognized as an intended keystroke, click Settings.

    • To ignore a keystroke that is pressed too briefly, select Ignore quick keystrokes and slow down the repeat rate.

      • To set further options, such as specifying that keystrokes are not repeated when a key is held down or that a key must be held down for a specified amount of time to be accepted as a valid keystroke, click Settings.

    • To sound a beep when you press a key and another beep when the pressed key is accepted as a keystroke, under Notification, select the Beep when keys pressed or accepted check box.
    • To display an icon for FilterKeys on the taskbar when FilterKeys is turned on, under Notification, select the Show FilterKeys status on screen check box.

Note

  • XOX


Turn on FilterKeys

To turn on FilterKeys

FilterKeys is a keyboard feature that instructs the keyboard to ignore brief or repeated keystrokes. Using FilterKeys, you can also slow the rate at which a key repeats when you hold it down.

  1. XOX
  2. On the Keyboard tab, under FilterKeys, select the Use FilterKeys check box.

    3. To turn off FilterKeys, clear the Use FilterKeys check box.

Notes

  • XOX
  • If the Use shortcut check box in the Settings for FilterKeys dialog box is selected, you can turn FilterKeys on or off by holding down the right SHIFT key for 8 to 16 seconds (depending on the other settings you have selected in the Accessibility Options dialog box). To open the Settings for FilterKeys dialog box, open Accessibility Options and then, under FilterKeys, click Settings.


Change High Contrast options

To change High Contrast options

High Contrast is designed for people who have vision impairment. High contrast color schemes can make the screen easier to view for some users by heightening screen contrast with alternative color combinations. Some of the schemes also change font sizes for easier reading.

  1. Open Accessibility Options
  2. On the Display tab, under High Contrast, click Settings, and then do one of the following:
    • To use the shortcut which allows you to turn High Contrast on or off by by pressing left ALT+left SHIFT+PRINT SCREEN keys, select the Use shortcut check box.
    • To change the High Contrast appearance scheme, select an option from the Your current high contrast scheme is list.

Note


Turn on High Contrast

To turn on High Contrast

High Contrast is designed for people who have vision impairment. High contrast color schemes can make the screen easier to view for some users by heightening screen contrast with alternative color combinations. Some of the schemes also change font sizes for easier reading.

  1. Open Accessibility Options
  2. On the Display tab, under High Contrast, select the Use High Contrast check box.

    3. To turn off High Contrast, clear the Use High Contrast check box.

Notes

  • XOX
  • If the Use shortcut check box in the Settings for High Contrast dialog box is selected, you can turn High Contrast on or off by pressing the left ALT+left SHIFT+PRINT SCREEN keys (depending on the other settings you have selected in the Accessibility Options dialog box). To open the Settings for High Contrast dialog box, open Accessibility Options, click the Display tab, and then, under High Contrast, click Settings.


Display extra keyboard Help in programs

To display extra keyboard Help in programs

Some software programs provide additional Help for using the keyboard with the program. If that Help is available, you will need to turn it on.

  1. XOX
  2. On the Keyboard tab, select the Show extra keyboard help in programs check box.

Note


Click by using MouseKeys

To click by using MouseKeys

  1. If you have not already done so, turn on MouseKeys.

    To turn on MouseKeys, open Accessibility Options, click the Mouse tab, and then select the Use MouseKeys check box.

  2. Use the buttons on the numeric keypad to click, double-click, or right-click. If MouseKeys doesn't function, press NUM LOCK, and then try MouseKeys again.
    • To click, press 5 on your numeric keypad.
    • To double-click, press the plus sign (+) on your numeric keypad.
    • To right-click, press the minus sign (-) on your numeric keypad, and then press 5 to click, or press the plus sign (+) to double-click.
    • To click as if you were using both mouse buttons at once, press the asterisk (*) on your numeric keypad, and then press 5 to click or the plus sign (+) to double-click.
    • To switch back to standard clicking, press slash (/) on your numeric keypad.

Notes

  • XOX
  • To specify whether NUM LOCK must be on or off for MouseKeys to function, on the Mouse tab, click Settings, and then for Use MouseKeys when NumLock is, click On or Off.
  • To change the pointer speed and acceleration when using MouseKeys, on the Mouse tab, click Settings, and then move the sliders to adjust the pointer speed and acceleration.
  • To temporarily increase or decrease the pointer speed, on the Mouse tab, click Settings, and then select the Hold down Ctrl to speed up and Shift to slow down check box.


Drag by using MouseKeys

To drag by using MouseKeys

  1. If you have not already done so, turn on MouseKeys.

    To turn on MouseKeys, open Accessibility Options, click the Mouse tab, and then select the Use MouseKeys check box.

  2. Use the buttons on the numeric keypad to drag and drop objects. If MouseKeys doesn't function, press NUM LOCK, and then try MouseKeys again.
    • To move the pointer over the object you want to move or over the area you want to move to, press the arrow keys on your numeric keypad.
    • To hold down the mouse button, press the INSERT key on your numeric keypad.
    • To release the mouse button, press the DELETE key on your numeric keypad.

Notes

  • XOX
  • To specify whether NUM LOCK must be on or off for MouseKeys to function, on the Mouse tab, click Settings, and then for Use MouseKeys when NumLock is, click On or Off.
  • To change the pointer speed and acceleration when using MouseKeys, on the Mouse tab, click Settings, and then move the sliders to adjust the pointer speed and acceleration.
  • To temporarily increase or decrease the pointer speed, on the Mouse tab, click Settings, and then select the Hold down Ctrl to speed up and Shift to slow down check box.


Move the mouse pointer by using MouseKeys

To move the mouse pointer by using MouseKeys

  1. If you have not already done so, turn on MouseKeys.

    To turn on MouseKeys, open Accessibility Options, click the Mouse tab, and then select the Use MouseKeys check box.

  2. Use the buttons on the numeric keypad to move the mouse pointer. If MouseKeys doesn't function, press NUM LOCK, and then try MouseKeys again.
    • To move the pointer horizontally or vertically, press the arrow keys on your numeric keypad.
    • To move the pointer diagonally, press HOME, END, PAGE UP, or PAGE DOWN on your numeric keypad.

Notes

  • XOX
  • To specify whether NUM LOCK must be on or off for MouseKeys to function, on the Mouse tab, click Settings, and then for Use MouseKeys when NumLock is, click On or Off.
  • To change the pointer speed and acceleration when using MouseKeys, on the Mouse tab, click Settings, and then move the sliders to adjust the pointer speed and acceleration.
  • To temporarily increase or decrease the pointer speed, on the Mouse tab, click Settings, and then select the Hold down Ctrl to speed up and Shift to slow down check box.


Change MouseKeys options

To change MouseKeys options

MouseKeys is designed for people who have difficulty using a mouse. MouseKeys allows you to use the numeric keypad to control the mouse pointer. If you want to use the numeric keypad for data entry as well as for navigation, you can set the MouseKeys to be activated by pressing NUM LOCK.

  1. XOX
  2. On the Mouse tab, under MouseKeys, click Settings, and then do one of the following:
    • To use the shortcut which allows you to turn MouseKeys on or off by pressing left ALT+left SHIFT+NUM LOCK, select the Use shortcut check box.
    • To set the maximum speed at which the mouse pointer moves when you hold down a MouseKeys direction key, under Pointer speed, drag the Top speed slider.
    • To set how quickly the mouse pointer accelerates to its maximum speed when you hold down a MouseKeys direction key, under Pointer speed, drag the Acceleration slider.
    • To enable slowing down the pointer speed by holding down the SHIFT key and speeding up the pointer speed by holding down the CTRL key while pressing MouseKeys direction keys, select the Hold down Ctrl to speed up and Shift to slow down check box.
    • To switch between MouseKeys and standard numeric keypad operation by pressing NUM LOCK, after Use MouseKeys when NumLock is select Off if you use the keypad for data entry or select On if you primarily use the numeric keypad for navigation.
    • To show an icon on the taskbar when MouseKeys is turned on, select the Show MouseKey status on screen check box.

Note


Turn on MouseKeys

To turn on MouseKeys

MouseKeys is designed for people who have difficulty using a mouse. MouseKeys allows you to use the numeric keypad to control the mouse pointer. If you want to use the numeric keypad for data entry as well as for navigation, you can set the MouseKeys to be activated by pressing NUM LOCK.

  1. XOX
  2. On the Mouse tab, under MouseKeys, select the Use MouseKeys check box.

    3. To turn off MouseKeys, clear the Use MouseKeys check box.

To turn on MouseKeys using keystrokes

  1. Press left ALT + left SHIFT + NUM LOCK.
  2. In the MouseKeys message dialog box, press SPACEBAR to clear the Turn off keyboard shortcut for this accessibility feature check box.
  3. Press TAB, and then press ENTER.

If MouseKeys does not turn on using the keystrokes above, follow the steps below.

  1. Press the Windows logo key ( Windows logo key) + R to display the Run dialog box.
  2. Type access.cpl and press ENTER.
  3. Press CTRL+TAB until the Mouse tab is selected.
  4. To select Use MouseKeys, press SPACEBAR.
  5. Press TAB twice to select OK, and then press ENTER.

Notes

  • XOX
  • To change settings for MouseKeys, on the Mouse tab, click Settings.
  • If the Use shortcut check box in the Settings for MouseKeys dialog box is selected, you can turn MouseKeys on or off by pressing left ALT+left SHIFT+NUM LOCK.
  • For more information on changing MouseKeys options, click Related Topics.


Change Serial Keys options

To change Serial Keys options

Serial Keys is designed for people who have difficulty using the computer's standard keyboard or mouse. Serial Keys provides support so that alternative input devices, such as single switch or puff and sip devices, can be plugged into the computer's serial port.

  1. XOX
  2. On the General tab, under SerialKey devices, click Settings.
  3. Change the serial port and baud rate for your SerialKey device as appropriate.

Important

  • To use Serial Keys, Fast User Switching must be turned off. (Fast User Switching is only available on Windows XP Home Edition and Windows XP Professional when it is not joined to a domain.)

    • For information about turning off Fast User Switching, click Related Topics.

Note


Turn on Serial Keys

To turn on Serial Keys

Serial Keys is designed for people who have difficulty using the computer's standard keyboard or mouse. Serial Keys provides support so that alternative input devices, such as single switch or puff and sip devices, can be plugged into the computer's serial port.

  1. XOX
  2. On the General tab, under SerialKey devices, select Use Serial Keys.

    3. To turn off Serial Keys, clear the Use Serial Keys check box.

Important

  • To use Serial Keys, Fast User Switching must be turned off. (Fast User Switching is only available on Windows XP Home Edition and Windows XP Professional when it is not joined to a domain.)

    • For information about turning off Fast User Switching, click Related Topics.

Notes

  • XOX
  • For more information about changing Serial Keys options, click Related Topics.


Using accessibility shortcut keys

To do this | Press this
Switch FilterKeys on or off | Right SHIFT for eight seconds
Switch High Contrast on or off | Left ALT+left SHIFT+PRINT SCREEN
Switch MouseKeys on or off | Left ALT+left SHIFT+NUM LOCK
Switch StickyKeys on or off | SHIFT five times
Switch ToggleKeys on or off | NUM LOCK for five seconds

Notes

  • To use the accessibility shortcut keys, they must be enabled. XOX
  • There are no keyboard shortcuts to turn SoundSentry, Showsounds, and SerialKeys on or off.


Turn on ShowSounds

To turn on ShowSounds

  1. Open Accessibility Options.
  2. On the Sound tab, under ShowSounds, select the Use ShowSounds check box.

    3. To turn off ShowSounds, clear the Use ShowSounds check box.

Notes

  • XOX
  • ShowSounds instructs programs that convey information by sound to also provide information visually, for example, through text captions or informative icons.


Turn on SoundSentry

To turn on SoundSentry

SoundSentry is designed for people who have difficulty hearing system sounds generated by the computer. SoundSentry allows you to change settings to generate visual warnings, such as a blinking title bar or a flashing border, whenever the computer generates a sound.

  1. Open Accessibility Options.
  2. On the Sound tab, under SoundSentry, select the Use SoundSentry check box.

    3. To turn off SoundSentry, select the Use SoundSentry check box to clear the check box.

Note


Change StickyKeys options

To change StickyKeys options

StickyKeys is designed for people who have difficulty holding down two or more keys simultaneously. When a shortcut requires a key combination, such as CTRL+P, StickyKeys will enable you to press a modifier key (CTRL, ALT, or SHIFT), or the Windows logo key ( Windows logo key), and have it remain active until another key is pressed.

  1. XOX
  2. On the Keyboard tab, under StickyKeys, click Settings. Do one of the following:
    • To use the shortcut that allows you to turn StickyKeys on or off by by pressing the SHIFT key five times, select the Use shortcut check box.
    • To specify that when a modifier key (CTRL, ALT, or SHIFT), or the Windows logo key ( Windows logo key) is pressed twice in succession, the key will remain active until the key is pressed again, under Options, select the Press modifier key twice to lock check box.
    • To turn off StickyKeys when a modifier key (CTRL, ALT, or SHIFT), or the Windows logo key ( Windows logo key) and another key are pressed simultaneously, under Options, select the Turn StickyKeys off if two keys are pressed at once check box.
    • To play a tone to indicate when a modifier key (CTRL, ALT, or SHIFT), or the Windows logo key ( Windows logo key) is pressed, locked, or released, under Notification, select the Make sounds when modifier key is pressed check box.
    • To display an icon for StickyKeys on the taskbar when StickyKeys is turned on, under Notification, select the Show StickyKeys status on screen check box.

Note


Turn on StickyKeys

To turn on StickyKeys

StickyKeys is designed for people who have difficulty holding down two or more keys simultaneously. When a shortcut requires a key combination, such as CTRL+P, StickyKeys will enable you to press a modifier key (CTRL, ALT, or SHIFT), or the Windows logo key ( Windows logo key), and have it remain active until another key is pressed.

  1. XOX
  2. On the Keyboard tab, under StickyKeys, select the Use StickyKeys check box.

    3. To turn off StickyKeys, clear the Use StickyKeys check box.

Notes

  • XOX
  • If the Use shortcut check box in the Settings for StickyKeys dialog box is selected, you can turn StickyKeys on or off by pressing the SHIFT key five times.
  • For more information on changing StickyKeys options, click Related Topics.


Turn off accessibility features after a specified time

To turn off accessibility features after a specified time

  1. XOX
  2. On the General tab, under Automatic reset, select the Turn off accessibility features after idle for check box.
  3. In the minutes box, click the arrow and adjust the number of minutes the computer can be idle before accessibility features are turned off.

Notes

  • XOX
  • If you enable this feature, all accessibility features except SerialKey devices will be turned off after the specified time.


Turn on ToggleKeys

To turn on ToggleKeys

ToggleKeys is designed for people who have vision impairment or cognitive disabilities. When ToggleKeys is turned on, your computer will provide sound cues when the locking keys (CAPS LOCK, NUM LOCK, or SCROLL LOCK) are pressed. A high sound plays when the keys are switched on and a low sound plays when they are switched off.

  1. XOX
  2. On the Keyboard tab, under ToggleKeys, select the Use ToggleKeys check box.

    3. To turn off ToggleKeys, clear the Use ToggleKeys check box.

Notes

  • XOX
  • To use the keyboard shortcut which allows you to turn ToggleKeys on and off by pressing the NUM LOCK key for five seconds, on the Keyboard tab, under ToggleKeys, click Settings.
  • If the Use shortcut check box in the Settings for ToggleKeys dialog box is selected, you can turn ToggleKeys on or off by holding down the NUM LOCK key for five seconds.


Be prompted when accessibility features are turned on or off

To be prompted when accessibility features are turned on or off

  1. XOX
  2. On the General tab, under Notification, select the check box for the type of notification you want.
    • To display a confirmation message each time you use a shortcut key to turn an accessibility feature on or off, click Give warning message when turning a feature on.
    • To have the system play a confirmation sound each time you use a shortcut key to turn an accessibility feature on or off, click Make a sound when turning a feature on or off.

Note


Accessibility Wizard

The Accessibility Wizard guides you through the process of customizing your computer with tools designed to help meet your vision, hearing, or mobility needs. Accessibility options (such as StickyKeys, ShowSounds, and Mousekeys) help users with disabilities to make full use of the computer. Some of the options, such as MouseKeys, may be of interest to all users. Once the Accessibility tools are set up, they can be accessed through Control Panel and the Accessibility menu.

Open the Accessibility Wizard.

Notes


Compile Date

 Compile Date: 2001-06-12